<h1 class="m-b-10" mat-dialog-title>Item setting for Quickbook Import</h1>
<hr class="m-t-10 mat-title-line">
<form [formGroup]="settingForm" (ngSubmit)="onSubmit()">
  <div mat-dialog-content>
    <div class="m-t-20">
      <mat-form-field>
        <mat-label>Type</mat-label>
        <mat-select formControlName="type" (selectionChange)="onChanges()" id="type" >
            <mat-option *ngIf="dropdownValues?.itemType.length === 0"> No types available </mat-option>
          <mat-option *ngFor="let typevalue of dropdownValues?.itemType" [value]="typevalue"> {{ typevalue }} </mat-option>
        </mat-select>
        <mat-error *ngIf="type.invalid">Please select type</mat-error>
      </mat-form-field>
      <mat-form-field>
        <mat-label>Tax Code</mat-label>
        <mat-select formControlName="taxCode" id="taxCode" >
            <mat-option *ngIf="dropdownValues?.taxEntities.length === 0"> No tax code available </mat-option>
          <mat-option *ngFor="let tax of dropdownValues?.taxEntities" [value]="tax.id"> {{tax.name }} </mat-option>
        </mat-select>
        <mat-error *ngIf="taxCode.invalid">Please select type</mat-error>
      </mat-form-field>
      <mat-form-field>
        <mat-label>Income Account</mat-label>
        <mat-select formControlName="incomeAccount" id="incomeAccount">
            <mat-option *ngIf="dropdownValues?.incomeAccountEntities.length === 0"> No income account available </mat-option>
          <mat-option *ngFor="let entity of dropdownValues?.incomeAccountEntities" [value]="entity.id"> {{ entity.name }} </mat-option>
        </mat-select>
        <mat-error *ngIf="incomeAccount.invalid">Please select type</mat-error>
      </mat-form-field>
      <mat-form-field>
        <mat-label>COGS Account</mat-label>
        <mat-select formControlName="cOGSAccount" id="cOGSAccount"> 
            <mat-option *ngIf="dropdownValues?.cogsAccountEntities.length === 0"> No COGS Account available </mat-option>
          <mat-option *ngFor="let entity of dropdownValues?.cogsAccountEntities" [value]="entity.id"> {{ entity.name }} </mat-option>
        </mat-select>
        <mat-error *ngIf="cOGSAccount.invalid">Please select type</mat-error>
      </mat-form-field>
      <mat-form-field>
        <mat-label>Asset Account</mat-label>
        <mat-select formControlName="assetAccount" id="assetAccount">
          <mat-option *ngFor="let entity of dropdownValues?.assetAccountEntities" [value]="entity.id"> {{ entity.name }} </mat-option>
        </mat-select>
        <mat-error *ngIf="assetAccount.invalid">Please select type</mat-error>
      </mat-form-field>
    </div>
    <hr class="m-t-5 m-b-5">
  </div>
  <div mat-dialog-actions class="text-center">
    <div class="mr-auto">
      <button mat-raised-button type="button" class="m-r-15 m-b-10" (click)="onNoClick()">Cancel</button>
      <button mat-raised-button type="submit"  class="m-b-10" color="primary" class="default">Save</button>
    </div>
  </div>

</form>
<div *ngIf="showLoader" class="content-loader popup-loader">
    <mat-spinner  [diameter]="50" color="warn" class="loader"></mat-spinner>
  </div>
